class PagesController < ApplicationController
  def index
    @banner = Banner.offset(rand(Banner.count)).first
    @featured_products = Product.where("status == ?", Product.statuses[:featured])
    @new_arrival_products = Product.where("status == ?", Product.statuses[:new_arrival])
  end

  def menu
    @categories = Category.all
  end

  def category
    @category = Category.find(params[:id_category])
  end

  def product
    @product = Product.find(params[:id_product])
    @categories = @product.categories
    @formats = @product.formats
  end

  def stats
    @orders = Order.where("status > 1")
    @shops = Shop.all
  end
end
