class Banner < ActiveRecord::Base
	has_attached_file :image, :styles => { :small => "150x50#", :micro => "60x20#" },
                    :url  => "/assets/banners/:id/:style/:basename.:extension",
                    :path => ":rails_root/public/assets/banners/:id/:style/:basename.:extension",
                    :default_url => "/assets/images/:style/missing.png"

	#validates_attachment_presence :image
	validates_attachment_size :image, :less_than => 5.megabytes
	validates_attachment_content_type :image, :content_type => ['image/jpeg', 'image/png']
end
