crumb :root do
  link "Home", root_path
end

# crumb :projects do
#   link "Projects", projects_path
# end

# crumb :project do |project|
#   link project.name, project_path(project)
#   parent :projects
# end

# crumb :project_issues do |project|
#   link "Issues", project_issues_path(project)
#   parent :project, project
# end

# crumb :issue do |issue|
#   link issue.title, issue_path(issue)
#   parent :project_issues, issue.project
# end

# If you want to split your breadcrumbs configuration over multiple files, you
# can create a folder named `config/breadcrumbs` and put your configuration
# files there. All *.rb files (e.g. `frontend.rb` or `products.rb`) in that
# folder are loaded and reloaded automatically when you change them, just like
# this file (`config/breadcrumbs.rb`).

crumb :products do
  link "Products", products_path
end

crumb :product do |product|
  link product.name, product_path(product)
  parent :products
end

crumb :product_new do
  link "Add a new product"
  parent :products
end

crumb :users do
  link "Users", users_path
end

crumb :user do |user|
  link user.name + ' ' + user.surname, user_path(user)
  parent :users
end

crumb :user_new do
  link "Add a new user"
  parent :users
end

crumb :shops do
  link "Shops", shops_path
end

crumb :shop do |shop|
  link shop.name, shop_path(shop)
  parent :shops
end

crumb :shop_new do
  link "Add a new shop"
  parent :shops
end

crumb :orders do
  link "Orders", orders_path
end

crumb :order do |order|
  link order.id, order_path(order)
  parent :orders
end

crumb :order_new do
  link "Add a new order"
  parent :orders
end

crumb :login do
  link "Login"
end

crumb :menu do
  link "Menu", menu_path
end

crumb :menu_category do |category|
  link category.name, menu_category_path(category)
  parent :menu
end

crumb :menu_product do |product|
  link product.name, menu_product_path
  category = Category.find(params[:id_category])
  parent :menu_category, category
end

crumb :stats do
  link "Stats"
end

crumb :banners do
  link "Banners", banners_path
end

crumb :banner do |banner|
  link banner.name, banner_path(banner)
  parent :banners
end

crumb :banner_new do
  link "Add a new banner"
  parent :banners
end

crumb :categories do
  link "Categories", categories_path
end

crumb :category do |category|
  link category.name, category_path(category)
  parent :categories
end

crumb :category_new do
  link "Add a new category"
  parent :categories
end

crumb :formats do
  link "Formats", formats_path
end

crumb :format do |format|
  link format.name, format_path(format)
  parent :formats
end

crumb :format_new do
  link "Add a new format"
  parent :formats
end

crumb :payments do
  link "Payments", payments_path
end

crumb :payment do |payment|
  link payment.id, payment_path(payment)
  parent :payments
end

crumb :payment_new do
  link "Add a new payment"
  parent :payments
end
