class CreateOrders < ActiveRecord::Migration
  def change
    create_table :orders do |t|
    	t.belongs_to :shop, index:true
    	t.belongs_to :user, index:true
    	t.belongs_to :payment_type, index:true
    	t.string :telephone
      t.string :address
      t.string :city
      t.string :region
      t.string :postcode
    	t.datetime :order_date
      t.column :status, :integer, default: 0
      t.timestamps null: false
    end
  end
end
