module CurrentOrder
  extend ActiveSupport::Concern

  private

  def set_order
    @order = Order.find(session[:order_id])
  rescue
    @order = Order.create
    session[:order_id] = @order.id
  end
end
