module ApplicationHelper
  def mark_required(object, attribute)
    "*" if object.class.validators_on(attribute).map(&:class).include? ActiveRecord::Validations::PresenceValidator
  end
  def number_to_eur(number)
  	number_to_currency(number, :unit=>'€', separator: ",", delimiter: ".", format: "%n %u")
  end
end
