Rails.application.routes.draw do
  
  resources :payments#, only: [:edit, :index, :show, :patch]
  # get 'products' => 'products#index'
  # get 'products/new' => 'products#new'
  # post 'products/create' => 'products#create'
  # get 'products/:id' => 'products#show', as: :product
  # get 'products/:id/edit' => 'products#edit', as: :edit_product  
  # patch 'products/:id' => 'products#update'
  resources :products
  
  # get 'categories' => 'categories#index'
  # get 'categories/:id' => 'categories#show', as: :category
  # get 'categories/:id/edit' => 'categories#edit', as: :edit_category
  # patch 'categories/:id' => 'categories#update'
  resources :categories

  # get 'formats' => 'formats#index'
  # get 'formats/:id' => 'formats#show', as: :format
  # get 'formats/:id/edit' => 'formats#edit', as: :edit_format
  # patch 'formats/:id' => 'formats#update'
  resources :formats
  
  resources :order_products, only: [:create, :destroy]
  #post '/order_products' => 'order_products#create', as: :order_products

  resources :users
  get '/signup' => 'users#new'
  get '/signup/:registered' => 'users#new', as: :registered

  get '/login' => 'sessions#new'
  post '/login' => 'sessions#create', as: :user_login
  get '/logout' => 'sessions#destroy'

  resources :shops
  resources :orders

  # root pages
  root 'pages#index'
  get 'menu' => 'pages#menu', as: :menu
  get 'menu/:id_category' => 'pages#category', as: :menu_category
  get 'menu/:id_category/:id_product' => 'pages#product', as: :menu_product
  get 'stats' => 'pages#stats'

  # menu
  # get 'menu' => 'menus#index'

  resources :banners

  # TPV
  get  '/payment_ko' => 'tpv#ko', as: :ko
  # TO DO change get per post
  get  '/payment'    => 'tpv#form'
  post '/payment'    => 'tpv#pay'

end
