class CreatePayments < ActiveRecord::Migration
  def change
    create_table :payments do |t|
      t.belongs_to :order, index: true
      t.decimal :amount
      t.string :cardholder
      t.string :card_number
      t.string :card_expiration_month
      t.string :card_expiration_year
      t.integer :card_security_code
      t.timestamps null: false
    end
  end
end
